Bug 1314917 - Cannot unset Git/SCM
Cannot unset Git/SCM
Status: CLOSED CURRENTRELEASE
Product: Copr
Classification: Community
Component: frontend (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Kadlčík
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-04 16:12 EST by Daniel Vrátil
Modified: 2016-03-29 08:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-29 08:18:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2016-03-04 16:12:08 EST
Description of problem:

It's not possible to completely unset Git/Tito and Mock SCMs, Copr will always complain about URL being mandatory. That makes sense if other fields are filled, but if I completely unset all the fields and hit "Save", I'd expect Copr to completely disable the Git integration.


How reproducible:
always


Steps to Reproduce:
1. Set Git/Tito Git URL on any package, save it
2. Edit the package again
3. Unset the Git URL and all other fields
4. Click "Save"

Actual results:
You get warning about Git URL being a mandatory field

Expected results:
The URL as well as all other fields are stored

Additional info:
Comment 1 Jakub Kadlčík 2016-03-08 07:33:40 EST
Hello Daniel, thank you for the feedback.

Blame me for that, I forgot the reset button.

Modified in: ae3ef9b
Comment 2 Jakub Kadlčík 2016-03-15 04:51:27 EDT
Code with this fix is currently deployed on testing server.
You can test it before it will be deployed to production.
Please see: http://copr-fe-dev.cloud.fedoraproject.org
Comment 3 Jakub Kadlčík 2016-03-29 08:18:54 EDT
Copr production machines were upgraded to version containing a fix to this issue.
If you are not satisfied with provided solution, please feel free to reopen this.

Note You need to log in before you can comment on or make changes to this bug.